import { LevelBlockCondition, LevelLeverCondition } from "../Commandeer/level/levelTypes";
import { vector3 } from "../Commandeer/utils/vectorUtils";
import { MinecraftBlockTypes } from "../vanilla-data/mojang-block";

let levelIntroConditions: LevelBlockCondition = {
  conditions: [
    {
      block: MinecraftBlockTypes.EmeraldBlock,
      position: vector3(2471, 12, 108),
    },
    {
      block: MinecraftBlockTypes.EmeraldBlock,
      position: vector3(2469, 12, 108),
    },
    {
      block: MinecraftBlockTypes.LapisBlock,
      position: vector3(2468, 12, 108),
    },
    {
      block: MinecraftBlockTypes.LapisBlock,
      position: vector3(2464, 12, 108),
    },
  ],
};

export { levelIntroConditions };
